Bug 696948

Summary: Migrate fail with error 'An undefined error has ocurred'.
Product: [Fedora] Fedora Reporter: He Rui <rhe>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: high    
Version: 15CC: acathrow, aquini, berrange, clalance, clalancette, crobinso, dallan, ddumas, dougsland, dyasny, dyuan, eblake, edusf, itamar, ivars.strazdins, jforbes, jyang, laine, libvirt-maint, llim, twu, veillard, vincent, virt-maint, weizhan, xen-maint, yimwang, yoyzhang
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 615941 Environment:
Last Closed: 2012-07-19 11:22:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 584077, 615941, 670727, 698141, 698496    
Bug Blocks: 647090    

Comment 2 vincentvdk 2011-09-20 02:26:31 EDT
I can confirm this running F15 with the latest updates. NFS is used as shared storage.

This is some extra info from within virt-manager

Unable to migrate guest: internal error unable to execute QEMU command 'migrate': An undefined error has ocurred
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 45, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/migrate.py", line 523, in _async_migrate
    vm.migrate(dstconn, migrate_uri, rate, live, secure, meter=meter)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1222, in migrate
    self._backend.migrate(destconn.vmm, flags, newname, interface, rate)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 521, in migrate
    if ret is None:raise libvirtError('virDomainMigrate() failed', dom=self)
libvirtError: internal error unable to execute QEMU command 'migrate': An undefined error has ocurred

Vincent
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:53:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 13:57:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:04:27 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:04:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:08:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:08:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Cole Robinson 2012-06-06 20:11:18 EDT
Sorry for the general lack of response, but since F15 is very close to EOL, closing this as WONTFIX. If anyone can still reliably reproduce this issue on F16 or higher, please reopen.
Comment 10 Eduardo Elias Ferreira 2012-07-19 10:15:31 EDT
I can reproduce it on RHEL 6.3. 

Reopening changing the product
Comment 12 Laine Stump 2012-07-19 11:22:57 EDT
Since this BZ is a clone to F15 of a BZ created 2 years ago for RHEL6.0, you weren't the reporter of the original BZ or of the clone, and the migration code (along with the rest of libvirt) has changed immensely in the last 3 years, I think it's highly unlikely to have the same root cause, and better results would be achieved by filing a new BZ with details of  exactly what your setup is, what action you took, and exactly what were the results.

I'm re-closing this bug in anticipation of you opening a new one.

(I would recommend against re-cloning this BZ; the information it contains is severely out of date, and will only serve to confuse.)